org.apache.felix.bundlerepository.impl.wrapper

## Class CapabilityWrapper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.wrapper.CapabilityWrapper

All Implemented Interfaces:
  org.osgi.service.obr.Capability

    public class CapabilityWrapper
    extends java.lang.Object
    implements org.osgi.service.obr.Capability

### Constructor Summary

Constructors
Constructor and Description
`CapabilityWrapper(Capability capability)`

### Method Summary

Methods
`java.lang.String` `getName()`
`java.util.Map` `getProperties()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CapabilityWrapper

    public CapabilityWrapper(Capability capability)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.osgi.service.obr.Capability`

#### getProperties

    public java.util.Map getProperties()

Specified by:
  `getProperties` in interface `org.osgi.service.obr.Capability`